Bug 86759 - Menu/toolbar item for page orientation
Summary: Menu/toolbar item for page orientation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: Other All
: medium enhancement
Assignee: Susobhan Ghosh
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords: needsUXEval
Depends on:
Blocks: UNO-Command Draw-UX
  Show dependency treegraph
 
Reported: 2014-11-27 00:00 UTC by n.lederbauer
Modified: 2016-10-25 18:54 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description n.lederbauer 2014-11-27 00:00:17 UTC
It is not a bug but a request. In Libreoffice Draw there is no symbol in the menu bar for a quick change for the page layout: from portrait to landscape.
Everyone who needs to change the format has to pass by 
Format>Page>Page orientation, which is very long and not free for possibly errors. Since it's about drawing, you need this very often. And Libreoffice Draw could be considered as a small, vector based drawing program.
Comment 1 tommy27 2014-11-30 21:16:44 UTC
let's hear if Jay can do something about it.
he's doing a lot of work improving LibO toolbars setups.
Comment 2 n.lederbauer 2014-11-30 23:25:38 UTC
This would be nice. Many thanx for reporting.
NL
Comment 3 Yousuf Philips (jay) 2014-11-30 23:28:58 UTC
Unfortunately i dont see any uno commands for the switching of page orientation.

@Maxim: is there such an uno command?
Comment 4 Maxim Monastirsky 2014-12-01 20:41:26 UTC
(In reply to Jay Philips from comment #3)
> @Maxim: is there such an uno command?
Not that I'm aware of. Seems like a valid enhancement request.
Comment 5 Yousuf Philips (jay) 2014-12-01 21:34:56 UTC
(In reply to Maxim Monastirsky from comment #4)
> Not that I'm aware of. Seems like a valid enhancement request.

Thanks. I guess in the menu it they would be radio button entries, while if it were in the toolbar, it would be good to have it as a split/group button.
Comment 6 Heiko Tietze 2016-06-08 07:37:22 UTC
Why not have page properties at the sidebar? It's GSoC work in progress, at least for Writer. Assigning to the right person...
Comment 7 n.lederbauer 2016-06-08 09:10:43 UTC
I am very pleased that the work on my request is in progress. I did imagine an icon which opens a drop-down where you can choose portrait or landscape.
I think that a quick change of the page layout would be more important in LO Draw than in Writer. If you make the radio buttons in the sidebar, this could be considered as a progress.
As I am a simply user without any knowledge in programming I imagine that you "only" have to create a link to the existing page-layout-dialog. I don't know if this is a good or a bad idea.

N.L.
Comment 8 Katarina Behrens (CIB) 2016-06-08 09:56:07 UTC
A page config panel is already available for Impress (will be in Libreoffice 5.2), so it is now only a question of making the same panel (minus some controls) available in Draw
Comment 9 Yousuf Philips (jay) 2016-06-08 10:29:54 UTC
(In reply to Heiko Tietze from comment #6)
> Why not have page properties at the sidebar? It's GSoC work in progress, at
> least for Writer. Assigning to the right person...

Susobhan is porting the slide background tab from impress to Draw, so it will be in the sidebar.
Comment 10 Commit Notification 2016-06-16 08:10:21 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0a9ba98ba83154680f8aea0fd0e58b85e2cfb04

tdf#86759 and tdf#89466: Enable Page Background Panel for Draw

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-06-18 09:22:00 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9579fa7bddc11deeb00474cad2203ac613c1c3f8&h=libreoffice-5-2

tdf#86759 and tdf#89466: Enable Page Background Panel for Draw

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Susobhan Ghosh 2016-06-18 10:21:25 UTC
Sidebar now available in master and 5.2. Thus, closing.
Comment 13 n.lederbauer 2016-06-18 11:00:38 UTC
Thank you very much for all your work. Great Job !!
N.L.